import { InjectionToken } from '@angular/core';
import type { ThunkDispatch } from '@reduxjs/toolkit';
import { onFocus, onFocusLost, onOnline, onOffline } from '@reduxjs/toolkit/dist/query/core/setupListeners';
export interface StoreQueryConfig {
    setupListeners: boolean;
    baseUrl: string;
    customHandler?: (dispatch: ThunkDispatch<any, any, any>, actions: {
        onFocus: typeof onFocus;
        onFocusLost: typeof onFocusLost;
        onOnline: typeof onOnline;
        onOffline: typeof onOffline;
    }) => () => void;
}
export declare let currentConfig: StoreQueryConfig | undefined;
export declare const setupConfig: (config: StoreQueryConfig) => void;
export declare const defaultConfig: StoreQueryConfig;
export declare const STORE_RTK_QUERY_CONFIG: InjectionToken<StoreQueryConfig>;
